Package: groovy.lang

## [Java] Class Sequence

- groovy.lang.Sequence

- All Implemented Interfaces and Traits:
    GroovyObject

      public class Sequence
      extends ArrayList

  Represents a sequence of zero or more objects of a given type. The type can be omitted in which case any type of object can be added.

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `MetaClass` | `metaClass`
    `Object` | `property`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Sequence ()`
    `Sequence (Class type)`
    `Sequence (Class type, List content)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `add(int index, Object element)`
    `` | `boolean` | `add(Object element)`
    `` | `boolean` | `addAll(Collection c)`
    `` | `boolean` | `addAll(int index, Collection c)`
    `` | `protected void` | `checkCollectionType(Collection c)` Checks that each member of the given collection are of the correct type
    `` | `protected void` | `checkType(Object object)` Checks that the given object instance is of the correct type otherwise a runtime exception is thrown
    `` | `void` | `clear()`
    `` | `boolean` | `equals(Object that)`
    `` | `boolean` | `equals(Sequence that)`
    `` | `MetaClass` | `getMetaClass()`
    `` | `Object` | `getProperty(String property)`
    `` | `int` | `hashCode()`
    `` | `Object` | `invokeMethod(String name, Object args)`
    `` | `int` | `minimumSize()`
    `` | `Object` | `remove(int index)`
    `` | `protected void` | `removeRange(int fromIndex, int toIndex)`
    `` | `void` | `set(Collection collection)` Sets the contents of this sequence to that of the given collection.
    `` | `Object` | `set(int index, Object element)`
    `` | `void` | `setMetaClass(MetaClass metaClass)`
    `` | `void` | `setProperty(String property, Object newValue)`
    `` | `Class` | `type()` @return the type of the elements in the sequence or null if there is no type constraint on this sequence

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ArrayList` | `add, add, remove, remove, get, equals, hashCode, clone, indexOf, clear, isEmpty, lastIndexOf, contains, replaceAll, size, subList, toArray, toArray, iterator, spliterator, addAll, addAll, set, forEach, ensureCapacity, trimToSize, retainAll, removeAll, removeIf, sort, listIterator, listIterator, toString, containsAll, wait, wait, wait, getClass, notify, notifyAll, toArray, stream, parallelStream`
    `class AbstractList` | `add, add, remove, get, equals, hashCode, indexOf, clear, lastIndexOf, subList, iterator, addAll, set, listIterator, listIterator, remove, toString, isEmpty, contains, size, toArray, toArray, addAll, containsAll, retainAll, removeAll, wait, wait, wait, getClass, notify, notifyAll, toArray, spliterator, stream, removeIf, parallelStream, forEach, replaceAll, sort`

- - ### Property Detail

    - #### MetaClass metaClass

    - #### Object property

  - ### Constructor Detail

    - #### public Sequence()

    - #### public Sequence(Class type)

    - #### public Sequence(Class type, List content)

  - ### Method Detail

    - #### public void add(int index, Object element)

    - #### public boolean add(Object element)

    - #### public boolean addAll(Collection c)

    - #### public boolean addAll(int index, Collection c)

    - #### protected void checkCollectionType(Collection c)

      Checks that each member of the given collection are of the correct type

    - #### protected void checkType(Object object)

      Checks that the given object instance is of the correct type otherwise a runtime exception is thrown

    - #### public void clear()

    - #### public boolean equals(Object that)

    - #### public boolean equals(Sequence that)

    - #### public MetaClass getMetaClass()

    - #### public Object getProperty(String property)

    - #### public int hashCode()

    - #### public Object invokeMethod(String name, Object args)

    - #### public int minimumSize()

    - #### public Object remove(int index)

    - #### protected void removeRange(int fromIndex, int toIndex)

    - #### public void set(Collection collection)

      Sets the contents of this sequence to that of the given collection.

    - #### public Object set(int index, Object element)

    - #### public void setMetaClass(MetaClass metaClass)

    - #### public void setProperty(String property, Object newValue)

    - #### public Class type()

      Returns:
        the type of the elements in the sequence or null if there is no type constraint on this sequence